import { Suspense } from "react";
import ShopWrapper from "@/components/Shop";
import { I18nProvider, getServerI18n } from "@/i18n";
import { Typography } from "@mui/material";
import { isArray } from "lodash";
import { Metadata } from "next";
import { notFound } from "next/navigation";


export default async function ShopPage() {
  await getServerI18n("shop");
  return (
    <I18nProvider namespaces={["shop","navigation","common"]}>
    <Suspense fallback={<ShopWrapper.Loading />}>
      <ShopWrapper />
    </Suspense>
    </I18nProvider>
  );
}